Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.network
Enum QAbstractSocket.SocketState

    java.lang.Object
      java.lang.Enum<QAbstractSocket.SocketState>
          com.trolltech.qt.network.QAbstractSocket.SocketState

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAbstractSocket.SocketState>

Enclosing class:
  QAbstractSocket

    public static enum QAbstractSocket.SocketState

extends java.lang.Enum<QAbstractSocket.SocketState>
implements QtEnumerator

This enum describes the different states in which a socket can be.

See Also:
  `QAbstractSocket::state`

Enum Constant Summary
`BoundState` The socket is bound to an address and port (for servers).
`ClosingState` The socket is about to close (data may still be waiting to be written).
`ConnectedState` A connection is established.
`ConnectingState` The socket has started establishing a connection.
`HostLookupState` The socket is performing a host name lookup.
`ListeningState` For internal use only.
`UnconnectedState` The socket is not connected.

Method Summary
`static QAbstractSocket.SocketState` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractSocket.SocketState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAbstractSocket.SocketState[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UnconnectedState

    public static final QAbstractSocket.SocketState UnconnectedState

  The socket is not connected.

### HostLookupState

    public static final QAbstractSocket.SocketState HostLookupState

  The socket is performing a host name lookup.

### ConnectingState

    public static final QAbstractSocket.SocketState ConnectingState

  The socket has started establishing a connection.

### ConnectedState

    public static final QAbstractSocket.SocketState ConnectedState

  A connection is established.

### BoundState

    public static final QAbstractSocket.SocketState BoundState

  The socket is bound to an address and port (for servers).

### ListeningState

    public static final QAbstractSocket.SocketState ListeningState

  For internal use only.

### ClosingState

    public static final QAbstractSocket.SocketState ClosingState

  The socket is about to close (data may still be waiting to be written).

Method Detail

### values

    public static final QAbstractSocket.SocketState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAbstractSocket.SocketState c : QAbstractSocket.SocketState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAbstractSocket.SocketState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractSocket.SocketState resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD